/api/v1/selphid/identify/template/{galleryId}
Searches for a facial template in a gallery.
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
galleryIdstringRequiredExample:
The name of a facial template gallery.
my.facial.galleryBody
A facial template, used for searching a 1:N gallery.
facialTemplatestringRequiredExample:
Biometric template buffer, obtained through GetFacialTemplate(), base64-encoded.
BAEBGgEroySjGz2C9iIki35J/FA...Responses
200
An array of templates that match the input image.
application/json
The result of searching for a template in a gallery.
galleryIndexintegerOptionalExample:
The index of a facial template in a gallery.
3templateIdstringOptionalExample:
The name of a facial template in a gallery.
user-1678similaritynumberOptionalExample:
Similarity between two facial templates (0-None, 1-Identical).
0.994729161facialAuthenticationStatusstring · enumOptionalExample:
Possible results of an authentication operation.
PositivePossible values: facialAuthenticationDetailstring · enumOptionalExample:
Quality detail of an authentication operation.
PositiveLowSecurityLevelPossible values: sdkDurationnumberOptionalExample:
Duration of the operation in milliseconds.
1234400
Incorrect parameters in the request.
application/json
500
An error occurred in the call to the SelphID-SDK backend.
application/json
post/api/v1/selphid/identify/template/{galleryId}
POST /api/v1/selphid/identify/template/{galleryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 420
{
"facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
"options": {
"longDetail": true,
"elapsedAllowedSeconds": 3600,
"futureAllowedSeconds": 3600,
"facialDetection": "Frontal",
"minFaceAbsPx": 35,
"minFaceRel": 0.04,
"minIodPx": 35,
"maxPoseDegrees": 30,
"minFacialQuality": "Good",
"analyticsDetection": true,
"templateRawExtraction": true,
"falseDetectRate": 0.02,
"maxCantidates": 5,
"minSimilarity": 0.7,
"authThreshold": 60,
"livenessDepth": "Full"
}
}[
{
"galleryIndex": 3,
"templateId": "user-1678",
"similarity": 0.994729161,
"facialAuthenticationStatus": "Positive",
"facialAuthenticationDetail": "PositiveLowSecurityLevel",
"sdkDuration": 1234
}
]Previous/api/v1/selphid/identify/{galleryId}
Next/api/v1/selphid/identify/obsolete/{galleryId}/{intervalSeconds}
Last updated